Mandrake Linux Security Advisory : jasper (MDKSA-2007:129)

Medium Nessus Plugin ID 25564


The remote Mandrake Linux host is missing one or more security updates.


A function in the JasPer JPEG-2000 library before 1.900 could allow a remote user-assisted attack to cause a crash and possibly corrupt the heap via malformed image files.

Updated packages have been patched to prevent this issue.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 25564

File Name: mandrake_MDKSA-2007-129.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2007/06/21

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:jasper, p-cpe:/a:mandriva:linux:lib64jasper1.701_1, p-cpe:/a:mandriva:linux:lib64jasper1.701_1-devel, p-cpe:/a:mandriva:linux:lib64jasper1.701_1-static-devel, p-cpe:/a:mandriva:linux:libjasper1.701_1, p-cpe:/a:mandriva:linux:libjasper1.701_1-devel, p-cpe:/a:mandriva:linux:libjasper1.701_1-static-devel, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/06/19

Reference Information

CVE: CVE-2007-2721

MDKSA: 2007:129